Remove unused patches
This commit is contained in:
parent
cfd6429899
commit
093f15f7d8
@ -1,29 +0,0 @@
|
||||
From 116f212581c93dba56ce5bc7b3f28237b2940145 Mon Sep 17 00:00:00 2001
|
||||
From: Colin Walters <walters@verbum.org>
|
||||
Date: Thu, 18 Jul 2013 15:14:58 -0400
|
||||
Subject: [PATCH] name-test: Don't run test-autolaunch if we don't have dbus-launch
|
||||
|
||||
libdbus will look for its compiled-in path to find dbus-launch, and
|
||||
not find it when running in a buildroot that doesn't have dbus
|
||||
installed (the typical case for pbuilder/mock).
|
||||
---
|
||||
test/name-test/run-test.sh | 6 +++++-
|
||||
1 files changed, 5 insertions(+), 1 deletions(-)
|
||||
|
||||
diff --git a/test/name-test/run-test.sh b/test/name-test/run-test.sh
|
||||
index cad5937..0bb0aee 100755
|
||||
--- a/test/name-test/run-test.sh
|
||||
+++ b/test/name-test/run-test.sh
|
||||
@@ -57,4 +57,8 @@ elif ! $PYTHON $DBUS_TOP_SRCDIR/test/name-test/test-activation-forking.py; then
|
||||
fi
|
||||
|
||||
echo "running test-autolaunch"
|
||||
-${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-autolaunch || die "test-autolaunch failed"
|
||||
+if which dbus-launch 2>/dev/null; then
|
||||
+ ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-autolaunch || die "test-autolaunch failed"
|
||||
+else
|
||||
+ echo "Skipping test-autolaunch, no dbus-launch in $PATH"
|
||||
+fi
|
||||
--
|
||||
1.7.1
|
||||
|
@ -1,40 +0,0 @@
|
||||
From 7c00ed22d9b5c33f5b33221e906946b11a9bde3b Mon Sep 17 00:00:00 2001
|
||||
From: DreamNik <dreamnik@mail.ru>
|
||||
Date: Sun, 29 Sep 2013 10:45:58 +0000
|
||||
Subject: make_and_run_test_nodes: avoid undefined behaviour
|
||||
|
||||
In code that looks like n[i] = v(&i), where v increments i, C leaves it
|
||||
undefined whether the old or new value of i is used to locate n[i].
|
||||
As it happens, gcc used the pre-increment value of i, but MSVC
|
||||
used the post-increment value.
|
||||
|
||||
Fix this by inserting a sequence point to disambiguate the intended order.
|
||||
|
||||
Bug: https://bugs.freedesktop.org/show_bug.cgi?id=69924
|
||||
Reviewed-by: Chengwei Yang <chengwei.yang@intel.com>
|
||||
Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
|
||||
[wrote commit message, fixed whitespace -smcv]
|
||||
Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
|
||||
---
|
||||
diff --git a/dbus/dbus-marshal-recursive-util.c b/dbus/dbus-marshal-recursive-util.c
|
||||
index 9512414..a2aaaf9 100644
|
||||
--- a/dbus/dbus-marshal-recursive-util.c
|
||||
+++ b/dbus/dbus-marshal-recursive-util.c
|
||||
@@ -1785,10 +1785,13 @@ make_and_run_test_nodes (void)
|
||||
start_next_test ("All values in one big toplevel %d iteration\n", 1);
|
||||
{
|
||||
TestTypeNode *nodes[N_VALUES];
|
||||
+ TestTypeNode *node;
|
||||
|
||||
i = 0;
|
||||
- while ((nodes[i] = value_generator (&i)))
|
||||
- ;
|
||||
+ while ((node = value_generator (&i)))
|
||||
+ {
|
||||
+ nodes[i - 1] = node;
|
||||
+ }
|
||||
|
||||
run_test_nodes (nodes, N_VALUES);
|
||||
|
||||
--
|
||||
cgit v0.9.0.2-2-gbebe
|
Loading…
Reference in New Issue
Block a user